List device groups
curl --request GET \
--url https://api.beta.ontoto.com/v1/device-groups \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beta.ontoto.com/v1/device-groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beta.ontoto.com/v1/device-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grouped": [
{
"uuid": "d4e5f6a7-b8c9-40d1-82f3-a4b5c6d7e8f9",
"name": "Dam monitoring",
"description": "Primary instruments",
"sharedBy": null
}
],
"ungrouped": []
}{
"message": "Invalid request body"
}{
"message": "Authentication required"
}{
"message": "You do not have permission to access this resource"
}{
"message": "Resource not found"
}{
"message": "Duplicate entry"
}{
"message": "Rate limit of 200 requests per minute exceeded. Retry in 12s."
}{
"message": "Internal server error"
}Device Groups
List device groups
Returns all device groups accessible to the API token, with optional filtering.
GET
/
device-groups
List device groups
Authorizations
Query Parameters
Filter by specific device group UUIDs
When true, include sensors on each device. Only applies when includeDevices=true.
When true, each group includes member devices in a devices array.
When true, include devices not assigned to any group in ungrouped. Only applies when includeDevices=true.